edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus

## Interface Thesaurus

- All Known Implementing Classes:
    AbstractThesaurus, DefaultThesaurus, WordnetThesaurus

      public interface Thesaurus

  Defines a thesaurus interface for finding words related to a word.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAntonyms(java.lang.String word)` Get antonyms.
    `java.util.List<java.lang.String>` | `getAntonyms(java.lang.String word, java.lang.String wordClass)` Get antonyms.
    `java.util.List<java.lang.String>` | `getSynonyms(java.lang.String word)` Get synonyms.
    `java.util.List<java.lang.String>` | `getSynonyms(java.lang.String word, java.lang.String wordClass)` Get synonyms.

- - ### Method Detail

    - #### getSynonyms

          java.util.List<java.lang.String> getSynonyms(java.lang.String word)

      Get synonyms.
      Parameters:
        `word` - Word for which to find synonyms.
      Returns:
        String list containing synonyms.

    - #### getSynonyms

          java.util.List<java.lang.String> getSynonyms(java.lang.String word,
                                                     java.lang.String wordClass)

      Get synonyms.
      Parameters:
        `word` - Word for which to find synonyms.
        `wordClass` - Major word class.
      Returns:
        String list containing synonyms.

    - #### getAntonyms

          java.util.List<java.lang.String> getAntonyms(java.lang.String word)

      Get antonyms.
      Parameters:
        `word` - Word for which to find antonyms.
      Returns:
        String list containing antonyms.

    - #### getAntonyms

          java.util.List<java.lang.String> getAntonyms(java.lang.String word,
                                                     java.lang.String wordClass)

      Get antonyms.
      Parameters:
        `word` - Word for which to find antonyms.
        `wordClass` - Major word class.
      Returns:
        String list containing antonyms.